
renderingOptions:
  submitButtonLabel: Submit
  fieldState:
    text-1:
      type: Text
      identifier: text-1
      label: 'Textfeld einzeilig, Zeicheneingabe automatisch beschränkt'
      renderingOptions:
        deleted: 0
        listView: 1
    textarea-1:
      type: Textarea
      identifier: textarea-1
      label: 'Textfeld mehrzeiig ohne Beschränkung der Zeichenanzahl'
      renderingOptions:
        deleted: 0
        listView: 1
    checkbox-1:
      type: Checkbox
      identifier: checkbox-1
      label: Checkbox
      renderingOptions:
        deleted: 0
        listView: 1
    text-2:
      type: Text
      identifier: text-2
      label: Text
      renderingOptions:
        deleted: 0
        listView: 1
    radiobutton-1:
      type: RadioButton
      identifier: radiobutton-1
      label: Rechtsinfos
      renderingOptions:
        deleted: 0
        listView: 0
    fieldset-1:
      type: Fieldset
      identifier: fieldset-1
      label: 'Feldgruppe - Test'
      renderingOptions:
        deleted: 0
        listView: 0
    checkbox-2:
      type: Checkbox
      identifier: checkbox-2
      label: 'Mit Ihrer Anmeldung / Teilnahme akzeptieren Sie die aktuellen Rechtsinformationen von Amicas Online - http://www.amicas.at/rechtsinformationen'
      renderingOptions:
        deleted: 0
        listView: 0
    jhcaptcharecaptcha-1:
      type: JhCaptchaRecaptcha
      identifier: jhcaptcharecaptcha-1
      label: reCAPTCHA
      renderingOptions:
        deleted: 0
        listView: 0
type: Form
identifier: test
label: 'Testformular für die Auswahlmöglichkeiten'
prototypeName: standard
renderables:
  -
    renderingOptions:
      previousButtonLabel: Zurück
      nextButtonLabel: Weiter
    type: Page
    identifier: page-1
    label: 'Seite 1'
    renderables:
      -
        validators:
          -
            identifier: NotEmpty
          -
            identifier: JhCaptchaRecaptcha
        type: JhCaptchaRecaptcha
        identifier: jhcaptcharecaptcha-1
        label: reCAPTCHA
        properties:
          fluidAdditionalAttributes:
            required: required
      -
        defaultValue: ''
        type: Text
        identifier: text-1
        label: 'Textfeld einzeilig, Zeicheneingabe automatisch beschränkt'
      -
        defaultValue: ''
        type: Textarea
        identifier: textarea-1
        label: 'Textfeld mehrzeiig ohne Beschränkung der Zeichenanzahl'
      -
        type: Checkbox
        identifier: checkbox-1
        label: Checkbox
      -
        defaultValue: ''
        type: Text
        identifier: text-2
        label: Text
      -
        properties:
          options:
            'AGB`s akzeptieren': 'Mit Ihrer Anmeldung akzeptieren Sie die aktuellen Rechtsinfos von Amicas Online - http://www.amicas.at/rechtsinfos'
          elementDescription: ''
          fluidAdditionalAttributes:
            required: required
        type: RadioButton
        identifier: radiobutton-1
        label: Rechtsinfos
        defaultValue: 'AGB`s akzeptieren'
        validators:
          -
            identifier: NotEmpty
      -
        type: Fieldset
        identifier: fieldset-1
        label: 'Feldgruppe - Test'
      -
        type: Checkbox
        identifier: checkbox-2
        label: 'Mit Ihrer Anmeldung / Teilnahme akzeptieren Sie die aktuellen Rechtsinformationen von Amicas Online - http://www.amicas.at/rechtsinformationen'
        properties:
          fluidAdditionalAttributes:
            required: required
          validationErrorMessages:
            -
              code: 1221560910
              message: 'Bitte akzeptieren Sie die aktuellen Rechtsinformationen'
            -
              code: 1221560718
              message: 'Bitte akzeptieren Sie die aktuellen Rechtsinformationen'
            -
              code: 1347992400
              message: 'Bitte akzeptieren Sie die aktuellen Rechtsinformationen'
            -
              code: 1347992453
              message: 'Bitte akzeptieren Sie die aktuellen Rechtsinformationen'
        validators:
          -
            identifier: NotEmpty
